%define module_name List-Flatten-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/Valgrind.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt4
Summary: L<List::Flatten> with XS
Group: Development/Perl
License: perl
URL: https://github.com/Code-Hex/List-Flatten-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CODEHEX/%{module_name}-%{version}.tar.gz

%description
List::Flatten::XS is provided flatten routine like Ruby's Array.flatten.
So, you can flat complex list with simply or you can flat with specify nested level.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.05-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt1.1
- rebuild with perl 5.28.1

* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Sun Jan 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

